Package Details: lariza-git 16.06.1.g82f095c-1

Git Clone URL: https://aur.archlinux.org/lariza-git.git (read-only)
Package Base: lariza-git
Description: Simple WebKit2GTK+ Browser
Upstream URL: https://github.com/vain/lariza
Keywords: browser web webkit
Licenses: MIT
Conflicts: lariza
Provides: lariza
Submitter: Vain
Maintainer: Vain
Last Packager: Vain
Votes: 5
Popularity: 0.115553
First Submitted: 2015-01-07 18:25
Last Updated: 2017-10-07 10:17

Dependencies (3)

Required by (0)

Sources (1)

Latest Comments

Docbroke commented on 2017-01-28 01:23

I just got confused by 16.06 in heading. sorry for that.

Vain commented on 2017-01-05 19:29

@Docbroke: It's a "-git" package. As such, it automatically installs the latest git master. Also, there have been no changes in packaging since 16.06. pkgver() updates the version of the created package anyway.

Did I miss a change in AUR guidelines? "-git" packages used to keep their version, unless upstream required an update of the PKGBUILD because files have been moved or stuff like that.

Docbroke commented on 2017-01-05 19:16

please update to 16.12

haawda commented on 2016-11-01 19:04

The same problem is with epiphany. Thanks for the idea to test this. I think, webkit2gtk is the culprit here.

haawda commented on 2016-11-01 18:47

I have to add that lariza works fine on my x86_64 desktop, only my old i686 laptop is affected. I suspect that webkit2gtk is the culprit. Currently I am rebuilding it, but that will take days on that old hardware (HP omnibook 6100 dating frm the early 2000-er years).

I did not know that epiphany already uses webkit2gtk, will check that.

Vain commented on 2016-11-01 09:58

@haawda: Which websites are causing crashes? Does it affect each and every website or only certain ones? Do you get additional information in `dmesg`? Do you also get crashes with other WebKit2 browsers (like Epiphany or the webkit2 branch of suckless surf)?

haawda commented on 2016-10-31 20:01

Interesting project, but I have problems using lazira. Webpages keep white windows, and the following appears in terminal I run lariza from:

haawda@kant lariza-git]$ lariza: WebView crashed!
lariza: Reloading WebView in 2 seconds.

(lariza:21741): Gtk-WARNING **: Negative content width -2 (allocation 0, extents 1x1) while allocating gadget (node block, owner GtkLevelBar)
lariza: WebView crashed!
lariza: Reloading WebView in 2 seconds.

(lariza:21741): Gtk-WARNING **: Negative content width -2 (allocation 0, extents 1x1) while allocating gadget (node block, owner GtkLevelBar)
lariza: WebView crashed!
lariza: Reloading WebView in 2 seconds.

What is needed?

Vain commented on 2016-07-30 08:02

Thanks for the hints, I've taken care of that (including a minor change in lariza itself).

City-busz commented on 2016-07-29 19:43

1. Please install the web extensions under /usr/lib/lariza instead of /usr/share/lariza. Architecture-dependent files are shouldn't in /usr/share.

2. Please install the license file into /usr/share/licenses/lariza-git instead of /usr/share/licenses/lariza .